<?php

/**
 * @file
 * Class that represents a converter of type object.
 */

namespace Drupal\maps_import\Converter;

use Drupal\maps_import\Mapping\Object as MappingObject;

class Object extends Converter {

  /**
   * @inheritdoc
   *
   * Provide the code property as default value for the converter add form.
   */
  protected $uid = 'property:code';

  /**
   * @inheritdoc
   */
  public function entityInfo() {
    return array_diff_key(parent::entityInfo(), array_flip(array('file')));
  }

  /**
   * @inheritdoc
   */
  public function getMapping() {
    if (!isset($this->mapping)) {
      $this->mapping = new MappingObject($this);
    }

    return $this->mapping;
  }

  /**
   * @inheritdoc
   */
  public function getType() {
    return 'object';
  }

  /**
   * @inheritdoc
   */
  public function isMappingAllowed() {
    return TRUE;
  }

}
