<?php

/**
 * @file
 * Class that defines a Drupal file Entity.
 */

namespace Drupal\maps_links\Mapping\Target\Drupal;

use Drupal\maps_links\Mapping\Link;
use Drupal\maps_import\Mapping\Target\Drupal\Entity;

class Relation extends Entity {

  /**
   * @inheritdoc
   */
  protected function getTranslationClass() {
    return 'Drupal\\maps_import\\Mapping\\Target\\Drupal\\Translation\\NoTranslation';
  }

  /**
   * @inheritdoc
   */
  public function save() {
    // @todo manage logs.
    
    $entity = Link::getCurrentEntity();

    // Get Drupal entities.
    $sourceEntity = Link::getEntityFromMapsId('object', $entity->getSource());
    $targetEntity = Link::getEntityFromMapsId('object', $entity->getTarget());

    if (!$sourceEntity || !$targetEntity) {
    	return FALSE;
    }
    else {
    	$sourceEntity = reset($sourceEntity);
    	$targetEntity = reset($targetEntity);
    }

    // Set endpoints
    foreach ($this->getEntities() as $wrapper) {
    	$wrapper->endpoints->set(array(
        entity_metadata_wrapper($sourceEntity['entity_type'], entity_load_single($sourceEntity['entity_type'], $sourceEntity['entity_id'])),
        entity_metadata_wrapper($targetEntity['entity_type'], entity_load_single($targetEntity['entity_type'], $targetEntity['entity_id'])),
      ));
    }

    parent::save();
  }

}
